Package com.pixelmed.dicom

# Class SingleOverlay

java.lang.Object
com.pixelmed.dicom.SingleOverlay

public class SingleOverlay extends Object

A single bitmap overlay plane

## Constructor Summary

Constructors
Constructor
Description
`SingleOverlay(short group, short[] data, int rows, int columns, int frames, int rowOrigin, int columnOrigin, int frameOrigin, int bitPosition, String type, String subtype, String label, String description, int area, double mean, double standardDeviation)`
`SingleOverlay(AttributeList list, short overlayGroup)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getBitPosition()`
`int`
`getColumnOrigin(int frame)`
`int`
`getColumns()`
`short[]`
`getData()`
`int`
`getFrameOrigin()`
`int`
`getFrames()`
`short`
`getGroup()`
`BufferedImage`
`getOverlayAsBinaryBufferedImage(int frame)`
Get a binary image constructed from the overlay bitmap.
`int`
`getRowOrigin(int frame)`
`int`
`getRows()`
`void`
`setOverlayFromBinaryBufferedImage(BufferedImage image, int frame)`
Set the overlay bitmap from a binary image.
`final String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SingleOverlay

public SingleOverlay(short group, short[] data, int rows, int columns, int frames, int rowOrigin, int columnOrigin, int frameOrigin, int bitPosition, String type, String subtype, String label, String description, int area, double mean, double standardDeviation)

Parameters:
  `group` - the group number (0x6000 through 0x600f)
  `data` -
  `rows` -
  `columns` -
  `frames` -
  `rowOrigin` - relative to center of top row of image, numbered from 0 (not 1 as in DICOM attribute)
  `columnOrigin` - relative to center of left column pixel of image, numbered from 0 (not 1 as in DICOM attribute)
  `frameOrigin` - relative to first frame of image, numbered from 0 (not 1 as in DICOM attribute)
  `bitPosition` - only used if data needs to be extracted from PixelData (not used in rendering overlay)
  `type` -
  `subtype` -
  `label` -
  `description` -
  `area` - 0 if none
  `mean` - 0 if none
  `standardDeviation` - 0 if none

### SingleOverlay

public SingleOverlay(AttributeList list, short overlayGroup) throws DicomException

Throws:
  `DicomException`

## Method Details

### setOverlayFromBinaryBufferedImage

public void setOverlayFromBinaryBufferedImage(BufferedImage image, int frame)
Set the overlay bitmap from a binary image.

Parameters:
  `image` - the image for this frame
  `frame` - numbered from zero; needed to select which overlay if frame-specific

### getOverlayAsBinaryBufferedImage

public BufferedImage getOverlayAsBinaryBufferedImage(int frame)
Get a binary image constructed from the overlay bitmap.

Parameters:
  `frame` - numbered from zero; needed to select which overlay if frame-specific
Returns:
  a java.awt.image.BufferedImage of type TYPE_BYTE_BINARY, or null if there is no such overlay for that frame

### getRowOrigin

public int getRowOrigin(int frame)

### getColumnOrigin

public int getColumnOrigin(int frame)

### getFrameOrigin

public int getFrameOrigin()

### getFrames

public int getFrames()

### getRows

public int getRows()

### getColumns

public int getColumns()

### getBitPosition

public int getBitPosition()

### getGroup

public short getGroup()

### getData

public short[] getData()

### toString

public final String toString()

Overrides:
  `toString` in class `Object`